tvbrowser.ui.programtable.background

## Interface BackgroundPainter

- All Known Implementing Classes:
    AbstractBackPainter, AbstractCellBasedBackPainter, OneImageBackPainter, SingleColorBackPainter, TimeBlockBackPainter, TimeOfDayBackPainter, UiColorBackPainter, UiTimeBlockBackPainter

      public interface BackgroundPainter

  Author:
    Til Schneider, www.murfman.de

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `javax.swing.JComponent` | `getTableWest()` Gets the component that should be shown in the west of the table.
    `void` | `layoutChanged(ProgramTableLayout layout, ProgramTableModel model)` Is called when the table's layout has changed.
    `void` | `paintBackground(java.awt.Graphics grp, int columnWidth, int tableHeight, int minCol, int maxCol, java.awt.Rectangle clipBounds, ProgramTableLayout layout, ProgramTableModel model)` Paints the background.

- - ### Method Detail

    - #### layoutChanged

          void layoutChanged(ProgramTableLayout layout,
                           ProgramTableModel model)

      Is called when the table's layout has changed.

    - #### paintBackground

          void paintBackground(java.awt.Graphics grp,
                             int columnWidth,
                             int tableHeight,
                             int minCol,
                             int maxCol,
                             java.awt.Rectangle clipBounds,
                             ProgramTableLayout layout,
                             ProgramTableModel model)

      Paints the background.
      Parameters:
        `grp` -
        `columnWidth` -
        `tableHeight` -
        `clipBounds` -
        `layout` - The table's layout
        `model` - The table model

    - #### getTableWest

          javax.swing.JComponent getTableWest()

      Gets the component that should be shown in the west of the table.

      If nothing should be shown in the west, null is returned.

      Returns:
        The table west.

TV-Browser 3.4.3, Copyright (C) 2004-2008 TV-Browser Team (dev@tvbrowser.org)